Subject: bug#43153: Add new command project-find-dir (and move binding of project-dired)

From: Juri Linkov <[email-masked]>
Date: Sun, 19 Sep 2021 19:40:19 +0300

>>> Please consider adding a new command `project-find-dir' that works like
>>> `project-find-file' but for directories.
>>
>> Would you like to try your hand at the patch?
>>
>>> I would also suggest to move `project-dired to `C-c p D' and put the new
>>> `project-find-dir' command on `C-c p d'.  These key bindings would be in
>>> line with the third-party projectile package.
>>
>> Sounds good to me.
>
> It seems like I won't be able to have time to write this patch before
> Emacs 28.1.
>
> Could we move `project-dired' to `C-x p D' in Emacs 28.1, while awaiting
> this new keybinding `C-x p d'?  Moving it later will be much harder.

If current `project-dired' actually means "project-root-dired",
then it makes sense to bind it to `C-x p D' like `C-x v D' (vc-root-diff).